package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetTypeCategoryDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetTypeCategory;
import com.loafle.overflow.service.central.meta.MetaTargetTypeCategoryService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetTypeCategoryService")
public class CentralMetaTargetTypeCategoryService implements MetaTargetTypeCategoryService {

  @Autowired
  private MetaTargetTypeCategoryDAO metaTargetTypeCategoryDAO;

  @Override
  public MetaTargetTypeCategory regist(MetaTargetTypeCategory metaTargetTypeCategory) throws OverflowException {
    return this.metaTargetTypeCategoryDAO.save(metaTargetTypeCategory);
  }

  @Override
  public MetaTargetTypeCategory readByKey(String key) throws OverflowException {
    return this.metaTargetTypeCategoryDAO.findByKey(key);
  }

  @Override
  public List<MetaTargetTypeCategory> readAll() throws OverflowException {
    return this.metaTargetTypeCategoryDAO.findAll();
  }
}
